# Method: projects.webApps.getConfig

Gets the configuration artifact associated with the specified `https://firebase.google.com/docs/reference/firebase-management/rest/v1beta1/projects.webApps#WebApp`.

### HTTP request

`GET https://firebase.googleapis.com/v1beta1/{name=projects/*/webApps/*/config}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The resource name of the `https://firebase.google.com/docs/reference/firebase-management/rest/v1beta1/projects.webApps#WebApp` configuration to download, in the format: `projects/PROJECT_IDENTIFIER/webApps/APP_ID/config` <br /> Since an <var translate="no">APP_ID</var> is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: `projects/-/webApps/APP_ID` <br /> Refer to the `WebApp` [`name`](https://firebase.google.com/docs/reference/firebase-management/rest/v1beta1/projects.webApps#WebApp.FIELDS.name) field for details about <var translate="no">PROJECT_IDENTIFIER</var> and <var translate="no">APP_ID</var> values. |

### Request body

The request body must be empty.

### Response body

Configuration metadata of a single Firebase App for the web.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "projectId": string, "appId": string, "databaseURL": string, "storageBucket": string, "locationId": string, "apiKey": string, "authDomain": string, "messagingSenderId": string, "measurementId": string, "projectNumber": string } ``` |

| Fields ||
|---|---|
| `projectId` | `string` Immutable. A user-assigned unique identifier for the `FirebaseProject`. |
| `appId` | `string` Immutable. The globally unique, Firebase-assigned identifier for the `WebApp`. |
| `databaseURL (deprecated)` | `string` > [!WARNING] > This item is deprecated! **DEPRECATED.** *Instead, find the URL of the default Realtime Database instance using the [list endpoint](https://firebase.google.com/docs/reference/rest/database/database-management/rest/v1beta/projects.locations.instances/list) within the Firebase Realtime Database REST API. If the default instance for the Project has not yet been provisioned, the return might not contain a default instance. Note that the config that's generated for the Firebase console or the Firebase CLI uses the Realtime Database endpoint to populate this value for that config.* The URL of the default Firebase Realtime Database instance. |
| `storageBucket (deprecated)` | `string` > [!WARNING] > This item is deprecated! **DEPRECATED.** *Instead, find the name of the default Cloud Storage for Firebase bucket using the [list endpoint](https://firebase.google.com/docs/reference/rest/storage/rest/v1beta/projects.buckets/list) within the Cloud Storage for Firebase REST API. If the default bucket for the Project has not yet been provisioned, the return might not contain a default bucket. Note that the config that's generated for the Firebase console or the Firebase CLI uses the Cloud Storage for Firebase endpoint to populate this value for that config.* The name of the default Cloud Storage for Firebase bucket. |
| `locationId (deprecated)` | `string` > [!WARNING] > This item is deprecated! **DEPRECATED.** *Instead, use product-specific REST APIs to find the location of each resource in a Project. This field may not be populated, especially for newly provisioned projects after October 30, 2024.* The ID of the Project's ["location for default Google Cloud resources"](https://firebase.google.com/docs/projects/locations#default-cloud-location), which are resources associated with Google App Engine. The location is one of the available [App Engine locations](https://cloud.google.com/about/locations#region). This field is omitted if the location for default Google Cloud resources has not been set. |
| `apiKey` | `string` The [`keyString`](https://cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys#Key.FIELDS.key_string) of the API key associated with the `WebApp`. Note that this value is *not* the [`apiKeyId`](https://firebase.google.com/docs/reference/firebase-management/rest/v1beta1/projects.webApps#WebApp.FIELDS.api_key_id) (the UID) of the API key associated with the `WebApp`. |
| `authDomain` | `string` The domain Firebase Auth configures for OAuth redirects, in the format: `PROJECT_ID.firebaseapp.com` |
| `messagingSenderId` | `string` The sender ID for use with Firebase Cloud Messaging. |
| `measurementId` | `string` The unique Google-assigned identifier of the Google Analytics web stream associated with the `WebApp`. Firebase SDKs use this ID to interact with Google Analytics APIs. This field is only present if the `WebApp` is linked to a web stream in a Google Analytics App + Web property. Learn more about this ID and Google Analytics web streams in the [Analytics documentation](https://support.google.com/analytics/answer/9304153). To generate a `measurementId` and link the `WebApp` with a Google Analytics web stream, call [`projects.addGoogleAnalytics`](https://firebase.google.com/docs/reference/firebase-management/rest/v1beta1/projects/addGoogleAnalytics). For apps using the Firebase JavaScript SDK v7.20.0 and later, Firebase dynamically fetches the `measurementId` when your app initializes Analytics. Having this ID in your config object is optional, but it does serve as a fallback in the rare case that the dynamic fetch fails. |
| `projectNumber` | `string` Output only. Immutable. The globally unique, Google-assigned canonical identifier for the Project. Use this identifier when configuring integrations and/or making API calls to Google Cloud or third-party services. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/cloud-platform.read-only`
- `
  https://www.googleapis.com/auth/firebase`
- `
  https://www.googleapis.com/auth/firebase.readonly`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).